urpm::cfg(3)

NAME
urpm::cfg - routines to handle the urpmi configuration files

SYNOPSIS

DESCRIPTION

load_config($file)
    Reads an urpmi configuration file and returns its contents in a hash ref :

        {
            media => [
             {
                name => 'medium name 1',
                url => 'http://...',
                option => 'value',
                ...
             },
            ],
            global => {
                # global options go here
            },
        }

    Returns undef() in case of parsing error (and sets $urpm::cfg::err to the appropriate error message.)

dump_config($file, $config)
    Does the opposite: write the configuration file, from the same data structure. Returns 1 on success, 0 on failure.

COPYRIGHT
Copyright (C) 2000, 2001, 2002, 2003, 2004, 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia